
#include "easywsclient.hpp"
using easywsclient::WebSocket;

#include <string>
#include <stdio.h>
#include <assert.h>

static WebSocket::pointer ws = NULL;

void handle_message(const std::string &msg) {
  printf("%s\n", msg.c_str());
  if (msg == "world") {
    ws->close();
  }
}


int main(int argc, char *argv[]) {
  ws = WebSocket::from_url(argv[1]);
  assert(ws);
  while (ws->getReadyState() != WebSocket::CLOSED) {
    ws->poll();
    ws->dispatch(handle_message);
  }
  delete ws;
  return 0;
}
